var fs = require('fs');
var mysql = require('../../index.js');
var hrdiff = require('../../test/common').hrdiff;

var conn = mysql.createConnection({
   user: 'root',
   password: '',
   database: 'test',
   host: '127.0.0.1',
   port: '3306',
   ssl: {
     key: fs.readFileSync('./certs/client-key.pem'),
     cert: fs.readFileSync('./certs/client-cert.pem')
   }
});


function doBench(n, cb) {
  if (n === 0)
    return cb();
  conn.query('select 1.1234 as test', function(err, res) {
    doBench(n-1, cb);
  });
}

var numSelects = 100000;
var start = process.hrtime();

doBench(numSelects, function() {
  var end = process.hrtime();
  var diff = hrdiff(start, end);
  console.log(numSelects, diff, 1e9*numSelects/diff);
});

